Create a draft opportunity

POST
/opportunities

Create a new recruitment opportunity. The opportunity starts in draft status. Use the launch endpoint to make it live.

Authorization

bearerAuth
AuthorizationBearer <token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

curl -X POST "https://terac.com/api/external/v2/opportunities" \  -H "Content-Type: application/json" \  -d '{    "title": "string",    "project_id": "string",    "num_participants": 1,    "business_type": "b2c",    "tasks": [      {        "sequence": 1,        "task_type": "interview",        "review_type": "auto_approve",        "task_url": "http://example.com",        "duration_minutes": 1      }    ]  }'
{
  "id": "string",
  "title": "string",
  "internal_title": "string",
  "description": "string",
  "status": "draft",
  "num_participants": 0,
  "estimated_duration_minutes": 0,
  "filters": [
    {}
  ],
  "screening_questions": [
    {
      "key": "string",
      "text": "string",
      "pick": "one",
      "answers": [
        {
          "text": "string",
          "qualify_logic": "may"
        }
      ]
    }
  ],
  "quotas": [
    {
      "screening_question": "string",
      "targets": [
        {
          "value": "string",
          "count": 1
        }
      ]
    }
  ],
  "tasks": [
    {
      "sequence": 0,
      "task_type": "string",
      "review_type": "string",
      "task_url": "string",
      "title": "string",
      "description": "string",
      "duration_minutes": 0
    }
  ],
  "pricing": {
    "cost_per_participant_cents": 0,
    "total_cost_cents": 0,
    "currency": "usd"
  },
  "device_types": [
    "string"
  ],
  "business_type": "string",
  "project_id": "string",
  "created_at": "2019-08-24T14:15:22Z",
  "updated_at": "2019-08-24T14:15:22Z",
  "launched_at": "2019-08-24T14:15:22Z",
  "links": {
    "self": "string",
    "launch": "string",
    "submissions": "string"
  },
  "submission_stats": {
    "total": 0,
    "in_progress": 0,
    "awaiting_review": 0,
    "approved": 0,
    "rejected": 0
  },
  "quota_progress": [
    {
      "screening_question": "string",
      "targets": [
        {
          "value": "string",
          "count": 0,
          "current": 0
        }
      ]
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}
{
  "code": "string",
  "message": "string",
  "details": [
    {
      "field": "string",
      "message": "string"
    }
  ]
}